<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8"></meta>

    <meta
        http-equiv="X-UA-Compatible"
        content="IE=edge"
    ></meta>

    <meta
        name="viewport"
        content="width=device-width, initial-scale=1.0"
    ></meta>

    <title>
        CSS Styling Positioning Properties
    </title>

    <link
        rel="stylesheet"
        href="./index.css"
    ></link>
</head>

<body>
    <h2>CSS Commong Styling</h2>

    <hr>
    <!-- CSS commong display properties -->

    <div id="div-1">This is a div</div>

    <span id="span-1">This is a span</span>

    <img
        src="https://place-puppy.com/450x450"
        alt="dog"
        id="img"
    >

    <span id="span-2">This is another span</span>

    <div id="div-2">This is another div</div>

    <hr>
    <!-- Display property notes -->

    <h3>
        Notes in block, inline, and inline-block
    </h3>

    <p id="p1">
        Block takes up the whole width
    </p>

    <p id="p2">width 60</p>

    <p id="p3">width 40</p>

    <p id="p4">
        Even if there is enough space, block element do not sit next to each other
    </p>

    <p id="p5">
        Inline elements are things like bold and italics. You cannot control the height and width of these elements
    </p>

    <p id="p6">
        inline-block elements can sit on the same line and can combine block and inline properties.
    </p>

    <div class="sample">width 30</div>

    <div class="sample">width 30</div>

    <div class="sample">width 30</div>

    <hr>
    <!-- Float property -->

    <h3>Float</h3>

    <p>
        The float property is use for positioning and formatting content. e.g. let an image float left of our text in a container.
    </p>

    <p>
        <img
            src="https://place-puppy.com/450x450"
            alt=""
            class="img-float"
        >

        Lorem ipsum dolor sit amet consectetur adipisicing elit. Optio quia culpa, consectetur quis ab voluptatum reprehenderit ipsum necessitatibus provident quisquam atque voluptatem amet. Iste assumenda eos at, veritatis ut consequatur.
    </p>

    <!-- FLoat property notes -->
    <!-- The float property specifies whether an element should float to the left, right or not at all. Absolutely positioned elements ignore the float property -->
    <hr>
    <!-- CSS units discussion -->

    <h3>CSS Units</h3>

    <h4>px vs %</h4>

    <br>
    <!-- Not inside a div parent element is body -->

    <div class="box fifty-percent">50%</div>

    <div class="box one-hundred-pixels">100px</div>

    <div class="box fifty-vw">50vw</div>

    <div class="box twenty-five-vh">25vh</div>

    <br>

    <div class="parent">
        <div class="box fifty-percent">50%</div>

        <div class="box one-hundred-pixels">100px</div>

        <div class="box fifty-vw">50vw</div>

        <div class="box twenty-five-vh">25vh</div>
    </div>

    <div class="one-rem">1rem</div>

    <div class="one-em">1em</div>

    <div class="two-rem">2rem</div>

    <div class="two-em">2em</div>

    <div class="two-hundred-percent">100%</div>

    <hr>
    <!-- background property discussion -->

    <section class="background">
        <div class="container-bg">
            <h3 class="bg-title">CSS background property</h3>
        </div>
    </section>

    <hr>

    <div class="parent-element">
        <div class="child-one">Im the child one element</div>

        <div class="child-two">Im the child two element</div>

        <div class="child-three">Im the child three element</div>
    </div>

    <hr>
    <!-- Z-index property -->

    <h2>z-index example</h2>
    <p>An element with greater stack order is always shown above and element with lower stack order</p>

    <div class="container">
        <div class="black-box">z-index-1</div>
        <div class="gray-box">z-index-2</div>
        <div class="green-box">z-index-3</div>
    </div>
</body>
</html>